
Infrastructure - Task #3946

Story # 3875 (Closed): Create a dashboard (version 1) for DataONE to provide high level overall system status

Implement the Maps View, Model, and Collections in the Dashboard

2013-08-22 20:51 - Chris Jones

Status: Closed Start date: 2013-08-27

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_dashboard Estimated time: 0.00 hour

Target version: 2014.14-Block.2.3   

Milestone: None Story Points:  

Product Version: *   

Description

The Maps View will show an interactive map of 1) MN locations, 2) a heatmap layer showing data distribution.  A Nodes Model will be

populated with lat/lon MN locations, and the heatmap will use an Objects Model to hold lat/lon/count summary data to be displayed. 

Decide if a collection is needed for the heatmap.  Likely not.

Subtasks:

Task # 3952: Query Redmine for MN locations Closed

Related issues:

Related to Infrastructure - Task #3976: Local Solr Search Prototype Tool Closed 2013-09-13 2013-09-21

Related to Infrastructure - Task #3977: Create Search Field to Support Buildi... Closed 2013-09-13

History

#1 - 2013-08-22 20:53 - Chris Jones

- Status changed from New to In Progress

#2 - 2013-09-13 16:13 - Chris Jones

- Target version changed from 2013.33-Block.4.4 to 2013.37-Block.5.2

#3 - 2013-10-21 20:16 - Chris Jones

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

- Product Version set to *

We now have the D1SpatialData collection that supports that MapsView of the individual D1ObjectLocation models.  This finishes out the mapping

structure.  We have work to do on integrating the D1NodeList and D1NodeInfoList MN data, but I'll add that to a different ticket.

#4 - 2013-10-28 16:17 - Chris Jones

- Target version changed from 2013.37-Block.5.2 to 2013.44-Block.6.1

#5 - 2014-01-06 18:32 - Chris Jones

- Target version changed from 2013.44-Block.6.1 to 2014.2-Block.1.1

#6 - 2014-03-14 17:12 - Skye Roseboom

- Target version changed from 2014.2-Block.1.1 to 2014.12-Block.2.2

#7 - 2014-03-31 17:41 - Skye Roseboom

- Target version changed from 2014.12-Block.2.2 to 2014.14-Block.2.3
